[Zstandard library(zstd)](https://github.com/facebook/zstd) ffi binding for Dart

![build](https://github.com/finlutter/zstd_ffi/workflows/CI/badge.svg)


# Features
- [x] Simple compress/decrompress
- [x] Compress with Context
- [x] Decompress with Context
- [x] Compress with Dict
- [x] Decompress with Dict
- [x] Add Mac library(1.4.6)
- [x] Add Linux library(1.4.6)
- [] Add Windows library

# Usage

- simple compress/deccompress
```dart
final dst = compress(src, level: 1);
// src/dst is Uint8List

final plain = decompress(dst);
// plain is Uint8List
```

- Compress with context
```dart
final ctx = Context.create();

try {
  dst = ctx.compress(src);
} finally {
  ctx.dispose();
}
```

# Upgrade zstd
```shell
# replace lib/zstd.h

pub run ffigen

pub run test

pub publish
```
