import 'dart:ffi';
import 'dart:io';
import 'dart:typed_data';
import 'package:ffi/ffi.dart';

class Uint8ArrayUtils {
  static Uint8List fromPointer(Pointer<Uint8> ptr, int length, {bool copy = true}) {
    final Uint8List view = ptr.asTypedList(length);
    final BytesBuilder builder = BytesBuilder(copy: copy);
    builder.add(view);
    return builder.takeBytes();
  }

  static Pointer<Uint8> toPointer(Uint8List bytes) {
    final Pointer<Uint8> ptr = allocate<Uint8>(count: bytes.length);
    final Uint8List byteList = ptr.asTypedList(bytes.length);
    byteList.setAll(0, bytes);
    return ptr.cast();
  }
}
